Bug 431290 - Review Request: qosmic - A cosmic recursive fractal flame editor written in Qt4
Review Request: qosmic - A cosmic recursive fractal flame editor written in Qt4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 417711
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-02 00:25 EST by Ian Weller
Modified: 2008-03-19 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 23:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-02-02 00:25:27 EST
Spec URL: http://ianweller.fedorapeople.org/SRPMS/qosmic/1.2-1/qosmic.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/qosmic/1.2-1/qosmic-1.2-1.fc8.src.rpm
Description: Qosmic is a nifty toy with which you can edit and render flam3 fractal images. It is comparable to Apophysis for Windows, with the same basic interface.

Please note that this package requires flam3 to install and flam3-devel to build, both of which are currently only covered by bug #417711. The package has been approved but I'm still waiting for CVS.
Comment 1 Mamoru TASAKA 2008-02-07 13:07:17 EST
Doewsn't build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=399155

At least "ImageMagick" is missing from BuildRequires.
Comment 2 Ian Weller 2008-02-07 19:02:37 EST
* Wed Feb 06 2008 Ian Weller <ianweller@gmail.com> 1.2-2
- Fixed the fact that qosmic wouldn't even build (added BuildRequires)
- Fixed the fact that qosmic wouldn't even run (Patch1)
build ok on dist-f9, dist-f8, and dist-fc7

spec http://ianweller.fedorapeople.org/SRPMS/qosmic/1.2-2/qosmic.spec
srpm http://ianweller.fedorapeople.org/SRPMS/qosmic/1.2-2/qosmic-1.2-2.fc8.src.rpm
Comment 3 Mamoru TASAKA 2008-02-08 10:49:28 EST
Fix the license tag to "GPLv2+". Other things are okay.

+ spec file good
+ source file coincides with upstream
+ Actually builds
  http://koji.fedoraproject.org/koji/taskinfo?taskID=402718
  build.log no problem
+ can be installed, Requires okay
+ seem to work

---------------------------------------------------------------------
    This package (qosmic) is APPROVED by me
----------------------------------------------------------------------
Comment 4 Ian Weller 2008-02-08 16:26:08 EST
New Package CVS Request
=======================
Package Name: qosmic
Short Description: A cosmic recursive fractal flame editor written in Qt4
Owners: ianweller
Branches: F-7 F-8
InitialCC: ianweller
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-09 14:52:24 EST
cvs done.
Comment 6 Fedora Update System 2008-02-09 19:02:49 EST
qosmic-1.2-2.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-02-09 19:03:47 EST
qosmic-1.2-2.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-02-09 19:44:52 EST
qosmic-1.2-3.fc7 has been submitted as an update for Fedora 7
Comment 9 Fedora Update System 2008-02-09 19:45:54 EST
qosmic-1.2-3.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-02-12 23:53:01 EST
qosmic-1.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-02-13 00:08:19 EST
qosmic-1.2-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Ian Weller 2008-03-19 18:48:49 EDT
Package Change Request
======================
Package Name: qosmic
New Branches: EL-4 EL-5
Comment 13 Kevin Fenzi 2008-03-19 22:46:42 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.